Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.base
Interface Predicate<T>

    public interface Predicate<T>

Determines a true or false value for a given input. For example, a `RegexPredicate` might implement `Predicate<String>`, and return `true` for any string that matches its given regular expression.

Implementations which may cause side effects upon evaluation are strongly encouraged to state this fact clearly in their API documentation.

Author:
  Kevin Bourrillion

Method Summary
`boolean` | `apply(T input)` Applies this predicate to the given object.
`boolean` | `equals(Object obj)` Indicates whether some other object is equal to this `Predicate`.

Method Detail

### apply

    boolean apply(@Nullable
                  T input)

  Applies this predicate to the given object.

  Parameters:
    `input` - the input that the predicate should act on
  Returns:
    the value of this predicate when applied to the input `t`

### equals

    boolean equals(@Nullable
                   Object obj)

  Indicates whether some other object is equal to this `Predicate`. This method can return `true` only if the specified object is also a `Predicate` and, for every input object `input`, it returns exactly the same value. Thus, `predicate1.equals(predicate2)` implies that either `predicate1.apply(input)` and `predicate2.apply(input)` are both `true` or both `false`.

  Note that it is always safe not to override `Object.equals(java.lang.Object)`.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD